<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>AccelerationAngularRateAndOrientationMatrix
: <a class="el" href="classframework_1_1sensor_1_1_gx3__25__imu.html#ae1676026bff5a449ddcc8ec1103c2a18a310144ae158aa4db8307d62c57610260">framework::sensor::Gx3_25_imu</a>
</li>
<li>Accept()
: <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a4038ab1deff6af6cf47acbbb14f525ed">framework::core::ConnectedSocket</a>
, <a class="el" href="classframework_1_1core_1_1_tcp_socket.html#aa761c731a703bfd49ce80ea9bbb6951d">framework::core::TcpSocket</a>
, <a class="el" href="classframework_1_1core_1_1_udt_socket.html#a456ab5341a848a611b8617820fa5a4cb">framework::core::UdtSocket</a>
</li>
<li>AddCurve()
: <a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html#a95440929233c3ee8d8488af413f7c822">framework::gui::DataPlot1D</a>
, <a class="el" href="classframework_1_1gui_1_1_data_plot2_d.html#aba91beef3beb22d2d43a95ca5871f51e">framework::gui::DataPlot2D</a>
</li>
<li>AddDataToControlLawLog()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#a0da7f45b432b7da6fd27004bfdded413">framework::meta::UavStateMachine</a>
</li>
<li>AddDataToLog()
: <a class="el" href="classframework_1_1core_1_1_i_o_device.html#a780509d4fa58f743535afebeff1fa568">framework::core::IODevice</a>
</li>
<li>AddDataToSend()
: <a class="el" href="classframework_1_1gui_1_1_data_plot.html#a13333bf3cc8514fb1edc1991b6a8f923">framework::gui::DataPlot</a>
</li>
<li>AddDeviceToControlLawLog()
: <a class="el" href="classframework_1_1meta_1_1_uav_state_machine.html#abb723909f8b40229adae864144006ddd">framework::meta::UavStateMachine</a>
</li>
<li>AddDeviceToLog()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a6056cf9ac936155c49613c672ade55ed">framework::core::FrameworkManager</a>
, <a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">framework::core::IODevice</a>
</li>
<li>AddItem()
: <a class="el" href="classframework_1_1gui_1_1_combo_box.html#a06b21a66f21dd86f9b5db93b1f3a7da2">framework::gui::ComboBox</a>
</li>
<li>AddPlot()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#aae5710ae29b7daa605ffb95664159900">framework::filter::Ahrs</a>
</li>
<li>AddPoint()
: <a class="el" href="classframework_1_1gui_1_1_map.html#a9130298a084f3fb08d74e2df3812a8e2">framework::gui::Map</a>
</li>
<li>AfroBldc()
: <a class="el" href="classframework_1_1actuator_1_1_afro_bldc.html#a70bd7f516320e1b1e7610c81ca25263d">framework::actuator::AfroBldc</a>
</li>
<li>Ahrs()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#aeae76d4e3d08ecb236512ccb54cb9881">framework::filter::Ahrs</a>
</li>
<li>AhrsComplementaryFilter()
: <a class="el" href="classframework_1_1filter_1_1_ahrs_complementary_filter.html#af36c412d34a971fe3b1d1ffd71267200">framework::filter::AhrsComplementaryFilter</a>
</li>
<li>AhrsData()
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a97252d537eb6e8c04e86445dd58cd045">framework::core::AhrsData</a>
</li>
<li>AhrsKalman()
: <a class="el" href="classframework_1_1filter_1_1_ahrs_kalman.html#aede78951e6e1a2cbe9d25a79d0834117">framework::filter::AhrsKalman</a>
</li>
<li>Append()
: <a class="el" href="classframework_1_1gui_1_1_text_edit.html#a575f27bd4d1138a56e56d65fbd202da7">framework::gui::TextEdit</a>
</li>
<li>AppendLogDescription()
: <a class="el" href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">framework::core::io_data</a>
</li>
<li>AreEnabled()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#a260a95f6c4f20fe661b4793a92b45528">framework::actuator::Bldc</a>
</li>
<li>At()
: <a class="el" href="classframework_1_1gui_1_1_layout.html#ae9193c5a839a5ddbf1545ce641c4f1bc">framework::gui::Layout</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
